Subject: Re: Problem with symbolic links in b18
From: [email-masked] (Kevin Fulgham)

5 Feb 1998 14:30:25 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I though I posted this to the newsgroup earlier, but I guess not.

Without getting into the symbolic link/win shortcut debate, there seems to be
something funny about bash in that the symbolic links to a .exe file can not have
a .exe extension.

i.e.

ln -s /somepath/bin/runemacs.exe emacs.exe
DOESN'T WORK

ln -s /somepath/bin/runemacs.exe emacs
WORKS

Of course, this only works under bash and not from a Win966/NT Command Prompt or
window.

> >    Hi,
> >
> >    Here's a problem I encountered with symbolic links:
> >
> >    1. Assume you have a DOS executable in directory c:\xxx called yyy.exe.
> >    2. Assume bash is run from directory c:\zzz.
> >    3. Enter bash
> >    4. Do "ln -s c:\xxx\yyy.exe yyy.exe".
> >    5. Verify that there's a file "yyy.exe" in c:\zzz.
> >    6. Run yyy.exe from bash - everything works fine.
> >    7. Now exit bash.
> >    8. Run yyy.exe. You get a window telling you that the program has
> >performed an illegal operation.
> >        Opening the details button says that the program tried to execute an
> >illegal instruction
> >        at 1F00:8AC3.
> >
> >
> >    This is because your are now running yyy.exe from c:\zzz, and this
> >yyy.exe is not a real exe file, but one of your cygwin shortcuts that
> >windows doesn't like.

--
 -------------------------------------------------------
| Kevin Fulgham ------- SIMBAD ------- [email-masked] |
| SIMBAD Inquiries ------------------- [email-masked] |
| ----------------------------------------------------- |
| Alberta Microelectronic Centre - http://www.amc.ab.ca |
 -------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".